Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am having a problem similar to that asked (and solved) here: Can't enable GNOME Shell extensions. I have performed both of the "tweaks" explained in that solution (i.e., here and here); but that does not seem to help.

My gnome-shell is version 3.2.1. When I run gnome-tweak-tool from a shell, I get the following output:

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

CRITICAL: Unknown extension error

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

(gnome-tweak-tool:7823): Gtk-CRITICAL **: gtk_widget_get_preferred_height_for_width: assertion `width >= 0' failed

Has anyone actually solved this besides to the references above? I have made the suggested modifications from those sites.

share|improve this question

closed as too localized by Jorge Castro, Bruno Pereira, Oli Nov 27 '11 at 3:51

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
Does gnome-tweak-tool start ? The error messages you are posting are quite meaningless. 2. Do you have any additional ppa's enabled ? if yes, which ones' ? –  severin Nov 26 '11 at 9:27
    
Yes, it starts. The messages are displayed while starting... but, from the Shell Extensions panel, only User Themes Extension and Applications Menu Extension are usable. The other 9 extensions have an error (orange) icon displayed and they are disabled. The screen looks just the same as displayed in the attached link: askubuntu.com/questions/76072/… –  TheGeeko61 Nov 26 '11 at 16:49
    
which ppa 's do you have enabled ? –  severin Nov 26 '11 at 16:53

1 Answer 1

up vote 2 down vote accepted

Solved. I re-visited the "solutions" from the other post and un-did the changes which I had earlier made per that posting... and, although gnome-tweak-tool still reports:

CRITICAL: Error parsing schema org.gnome.shell (/usr/share/glib-2.0/schemas/org.gnome.shell.gschema.xml)

the extensions are enabled.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.